Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.services.log
Class LoggerImpl

    java.lang.Object
      org.jasig.portal.container.services.log.LoggerImpl

All Implemented Interfaces:
  org.apache.pluto.services.ContainerService, org.apache.pluto.services.log.Logger

    public class LoggerImpl

extends java.lang.Object
implements org.apache.pluto.services.log.Logger

Implementation of Apache Pluto Logger by delegation to Apache Commons Logging.

Version:
  $Revision: 1.4 $
Author:
  Ken Weiner, kweiner@unicon.net, andrew.petro@yale.edu

Field Summary
`private org.apache.commons.logging.Log` | `log`

Constructor Summary
`LoggerImpl()`
`LoggerImpl(java.lang.Class klass)` Instantiate a LoggerImpl for a particular class.
`LoggerImpl(java.lang.String component)`

Method Summary
`void` | `debug(java.lang.String aMessage)`
`void` | `debug(java.lang.String aMessage, java.lang.Throwable aThrowable)`
`void` | `error(java.lang.String aMessage)`
`void` | `error(java.lang.String aMessage, java.lang.Throwable aThrowable)`
`void` | `error(java.lang.Throwable aThrowable)`
`void` | `info(java.lang.String aMessage)`
`boolean` | `isDebugEnabled()`
`boolean` | `isErrorEnabled()`
`boolean` | `isInfoEnabled()`
`boolean` | `isWarnEnabled()`
`void` | `warn(java.lang.String aMessage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private final org.apache.commons.logging.Log log

Constructor Detail

### LoggerImpl

    public LoggerImpl()

### LoggerImpl

    public LoggerImpl(java.lang.String component)

### LoggerImpl

    public LoggerImpl(java.lang.Class klass)

  Instantiate a LoggerImpl for a particular class. This implementation passes the class to the Commons LogFactory to obtain the underlying Apache Commons Log implementation.

  Parameters:
    `klass` - - the class for which a logger is desired

Method Detail

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `org.apache.pluto.services.log.Logger`

### isInfoEnabled

    public boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in interface `org.apache.pluto.services.log.Logger`

### isWarnEnabled

    public boolean isWarnEnabled()

  Specified by:
    `isWarnEnabled` in interface `org.apache.pluto.services.log.Logger`

### isErrorEnabled

    public boolean isErrorEnabled()

  Specified by:
    `isErrorEnabled` in interface `org.apache.pluto.services.log.Logger`

### debug

    public void debug(java.lang.String aMessage)

  Specified by:
    `debug` in interface `org.apache.pluto.services.log.Logger`

### debug

    public void debug(java.lang.String aMessage,
                      java.lang.Throwable aThrowable)

  Specified by:
    `debug` in interface `org.apache.pluto.services.log.Logger`

### info

    public void info(java.lang.String aMessage)

  Specified by:
    `info` in interface `org.apache.pluto.services.log.Logger`

### warn

    public void warn(java.lang.String aMessage)

  Specified by:
    `warn` in interface `org.apache.pluto.services.log.Logger`

### error

    public void error(java.lang.String aMessage)

  Specified by:
    `error` in interface `org.apache.pluto.services.log.Logger`

### error

    public void error(java.lang.String aMessage,
                      java.lang.Throwable aThrowable)

  Specified by:
    `error` in interface `org.apache.pluto.services.log.Logger`

### error

    public void error(java.lang.Throwable aThrowable)

  Specified by:
    `error` in interface `org.apache.pluto.services.log.Logger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD